உள்ளடக்கத்திற்குச் செல்க

Omnilottie

ஒருங்கிணை

மாடல் id omnilottie
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/omnilottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: $0.05 50 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Open model பிறவை #lottie

உரை விளக்கத்திலிருந்து Lottie அசைவூட்டம் JSON கோப்பை உருவாக்குகிறது

Open model · கோப்பு

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை 88 / 2000

விரும்பிய Lottie animation-ஐ விவரிக்கும் உரை.

மேம்பட்டவை max_tokens · temperature · top_p · top_k
இயல்புநிலை 4096

உருவாக்கப்படும் Lottie டோக்கன்களின் அதிகபட்ச வரம்பு.

இயல்புநிலை 0.9

உருவாக்கத்தின் போது sampling-க்குப் பயன்படுத்தப்படும் Temperature.

இயல்புநிலை 0.25

nucleus sampling-க்கான Probability cutoff.

இயல்புநிலை 5

top-k sampling-க்கான அமைப்பு.

POST /run/omnilottie?wait=20 விலை → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/omnilottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Omnilottie பற்றி

அதிகபட்சம் 2,000 எழுத்துகளைக் கொண்ட உரை `prompt` இலிருந்து Lottie அசைவூட்டத்தை உருவாக்கி, JSON கோப்பாகத் திருப்பி அளிக்கிறது. உருவாக்கம் `max_tokens` (256 முதல் 8192), `temperature`, `top_p` மற்றும் `top_k` மூலம் கட்டுப்படுத்தப்படுகிறது. இது படம் அல்லது வீடியோ உள்ளீட்டை ஏற்காது.

அளவுருக்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
promptதேவை
வகைstring
≤ 2,000 எழுத்துகள்
விரும்பிய Lottie animation-ஐ விவரிக்கும் உரை.
max_tokensவிருப்பத்தேர்வு
வகைinteger
இயல்புநிலை4096
256 – 8,192
உருவாக்கப்படும் Lottie டோக்கன்களின் அதிகபட்ச வரம்பு.
temperatureவிருப்பத்தேர்வு
வகைnumber
இயல்புநிலை0.9
0 – 2
உருவாக்கத்தின் போது sampling-க்குப் பயன்படுத்தப்படும் Temperature.
top_pவிருப்பத்தேர்வு
வகைnumber
இயல்புநிலை0.25
0 – 1
nucleus sampling-க்கான Probability cutoff.
top_kவிருப்பத்தேர்வு
வகைinteger
இயல்புநிலை5
1 – 100
top-k sampling-க்கான அமைப்பு.
தேவை

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "omnilottie",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "lottie_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
lottie_file
object {url, content_type, file_name, file_size}உருவாக்கப்பட்ட Lottie animation-ஐக் கொண்ட JSON கோப்பு.

மேலும் மாதிரிகள்: பிறவை

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/omnilottie.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt